##
## IBM Confidential
## © Copyright IBM Corp. 2020
## The source code for this program is not published or otherwise divested of its trade secrets,
## irrespective of what has been deposited with the U.S. Copyright Office.
## =============================================================================================
##

$INSTALL_DIR = "C:\Program Files\IBM\Metrics Collector for SAP"
$UPDATE_TASK = "IBM Metric Collector for SAP Updator"
$DOWNLOAD_DIR = "C:\Program Files\IBM\Download"
$MAIN_DIR = "C:\Program Files\IBM"
$ErrorActionPreference='Stop'

try {
    if (Test-Path "$INSTALL_DIR") {
        Write-host "Are you sure you want to uninstall Metric Collector for SAP? (Default is No)" -ForegroundColor Yellow 
        $Readhost = Read-Host " ( y / n ) " 
        
        Switch ($ReadHost) 
            { 
                Y {
                    Write-host "Continuing uninstalling metric collector..."
                    if (Test-Path $INSTALL_DIR\sap-metrics-collector.exe) {
                        & $INSTALL_DIR\sap-metrics-collector.exe --service stop
                        Start-Sleep -s 1
                        & $INSTALL_DIR\sap-metrics-collector.exe --service uninstall
                    Start-Sleep -s 1
                    }
                    if (Test-Path $INSTALL_DIR) {
                        Remove-Item -Recurse -Force "$INSTALL_DIR"
                    }
                    if (Test-Path $DOWNLOAD_DIR) {
                        Remove-Item -Recurse -Force "$DOWNLOAD_DIR"
                    }
                        if ((Get-ChildItem -Path $MAIN_DIR | Measure-Object).Count -eq 0)
                        {
                            Write-Host "Deleting Folder $MAIN_DIR"
                            Remove-Item -LiteralPath:$MAIN_DIR -Force
                        }
                        Unregister-ScheduledTask -TaskName $UPDATE_TASK -Confirm:$False
                        Write-Host "Removed scheduled task: $UPDATE_TASK"
                  } 
                N {
                    Write-Host "Exiting Metric Collector Uninstaller."
                    Start-Sleep -s 1
                    Exit
                  } 
                Default { 
                    Write-Host "Exiting Metric Collector Uninstaller."
                    Start-Sleep -s 1
                    Exit
                } 
            }
    } else {
        Write-host "No Metric Collector installed. Exiting..."
        Start-Sleep -s 1
        Exit
    }
    Write-host "Successfully Uninstalled Metric Collector" -ForegroundColor green
    Start-Sleep -s 1
} Catch {
    Write-Host $_.Exception|format-list -force | Out-String
    Write-Host "Unable to Uninstall Metric Collector." -ForegroundColor red    
    Start-Sleep -s 3                       
}